File::Rename::Options(3pm)

NAME
File::Rename::Options - Option processing for File::Rename

SYNOPSIS
    use File::Rename::Options;
    my $options = File::Rename::Options::GetOptions()
        or pod2usage;

DESCRIPTION

"GetOptions()"
    Call "Getopt::Long::GetOptions()" with options for rename script, returning a HASH of options.

  OPTIONS
See rename script for options (in @ARGV).

See File::Rename for structure of the options HASH

ENVIRONMENT
No environment variables are used.

SEE ALSO
File::Rename(3), rename(1)

AUTHOR
Robin Barker <RMBarker@cpan.org>

DIAGNOSTICS
Returns "undef" when there is an error in the options.

COPYRIGHT AND LICENSE
Copyright (C) 2018 by Robin Barker

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8 or, at your option, any later version of Perl 5 you may have available.